unit blob;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    BlobImage: TImage;
    Timer1: TTimer;
    QuitButton: TButton;
    StopStartButton: TButton;
    UpButton: TButton;
    LeftButton: TButton;
    RightButton: TButton;
    DownButton: TButton;
    RandomButton: TButton;
    procedure Timer1Timer(Sender: TObject);
    procedure QuitButtonClick(Sender: TObject);
    procedure StopStartButtonClick(Sender: TObject);
    procedure UpButtonClick(Sender: TObject);
    procedure DownButtonClick(Sender: TObject);
    procedure LeftButtonClick(Sender: TObject);
    procedure RightButtonClick(Sender: TObject);
    procedure RandomButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  jump : integer;

implementation

{$R *.DFM}

procedure TForm1.Timer1Timer(Sender: TObject);
begin
     if BlobImage.Left > ClientWidth
        then BlobImage.Left := 1
        else BlobImage.Left := BlobImage.Left + 2;
end;

procedure TForm1.QuitButtonClick(Sender: TObject);
begin
     close;
end;

procedure TForm1.StopStartButtonClick(Sender: TObject);
begin
     Timer1.Enabled := not Timer1.Enabled;
end;

procedure TForm1.UpButtonClick(Sender: TObject);
begin
      for jump := 1 to 10 do
          BlobImage.Top := BlobImage.Top - 10;
end;

procedure TForm1.DownButtonClick(Sender: TObject);
begin
      for jump := 1 to 10 do
          BlobImage.Top := BlobImage.Top + 10;
end;

procedure TForm1.LeftButtonClick(Sender: TObject);
begin
      for jump := 1 to 10 do
          BlobImage.Left := BlobImage.Left - 10;
end;

procedure TForm1.RightButtonClick(Sender: TObject);
begin
      for jump := 1 to 10 do
          BlobImage.Left := BlobImage.Left + 10;
end;

procedure TForm1.RandomButtonClick(Sender: TObject);
var   position, updown : integer;
begin
      randomize;
      position := random (200);
      updown := random(4) + 1;
      case updown of
           1: BlobImage.Left := BlobImage.Left + position;
           2: BlobImage.Left := BlobImage.Left - position;
           3: BlobImage.Top := BlobImage.Top + position;
           4: BlobImage.Top := BlobImage.Top - position;
           end;
end;

end.
