unit bubble;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    InputButton: TButton;
    SortButton: TButton;
    ExitButton: TButton;
    DisplayEdit: TEdit;
    procedure ExitButtonClick(Sender: TObject);
    procedure InputButtonClick(Sender: TObject);
    procedure SortButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  number : array[1..10] of integer;

implementation

{$R *.DFM}

procedure TForm1.ExitButtonClick(Sender: TObject);
begin
     close;
end;

procedure TForm1.InputButtonClick(Sender: TObject);
var j : integer;
begin
     beep;
     for j := 1 to 10 do
         begin
         InputButton.Caption := IntToStr(j);
         number[j] := StrToInt(InputBox('','Enter next number',''));
         end;
     InputButton.Visible := false;
     SortButton.Visible := true;
end;

procedure TForm1.SortButtonClick(Sender: TObject);
var  j, temp : integer;
     cont : boolean;
begin
     beep;
     cont := true;
     while cont do
           begin
           cont := false;
           for j := 1 to 9 do
               if number[j] < number[j+1]
               then begin
                    temp := number[j];
                    number[j] := number[j+1];
                    number[j+1] := temp;
                    cont := true;
                    end;  {if}
           end; {while}
     DisplayEdit.Visible := true;
     for j := 1 to 10 do
         DisplayEdit.Text := DisplayEdit.Text + IntToStr(number[j]) + ' ';
     SortButton.Visible := false;
end;

end.
