unit data;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TDataForm = class(TForm)
    StartButton: TBitBtn;
    ScoreButton: TBitBtn;
    Label1: TLabel;
    CalcButton: TBitBtn;
    DisplayButton: TBitBtn;
    ExitButton: TBitBtn;
    DisplayEdit: TEdit;
    procedure StartButtonClick(Sender: TObject);
    procedure ScoreButtonClick(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
    procedure CalcButtonClick(Sender: TObject);
    procedure DisplayButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DataForm: TDataForm;

implementation

{$R *.DFM}

type
    name = record
         first_name : string[12];
         surname : string[20];
         id_numb : integer;
         average : real;
         end;   {name}
    results = record
         maths : integer;
         english : integer;
         science : integer;
         end;    {results}

var student : array[1..4] of name;
    score : array[1..4] of results;
    count : integer;

procedure TDataForm.StartButtonClick(Sender: TObject);
var j : integer;
begin
     StartButton.Visible := false;
     for j := 1 to 4 do
         with student[j] do
              begin
              first_name := InputBox('Student', 'Enter christian name','');
              surname := InputBox('Student', 'Enter surname','');
              id_numb := StrToInt(InputBox('Student', 'Enter ID number',''));
              end;   {with}
     ScoreButton.Visible := true;
end;

procedure TDataForm.ScoreButtonClick(Sender: TObject);
var   j : integer;
      name : string;
begin
     ScoreButton.Visible := false;
     for j := 1 to 4 do
         begin
         name := student[j].first_name + ' ' + student[j].surname;
         with score[j] do
              begin
              maths := StrToInt(InputBox('Scores', 'Enter Maths score for '+ name, ''));
              english := StrToInt(InputBox('Scores', 'Enter English score for '+ name, ''));
              science := StrToInt(InputBox('Scores', 'Enter Science score for '+ name, ''));
              end;   {with}
         end;   {for}
     CalcButton.Visible := true;
end;

procedure TDataForm.ExitButtonClick(Sender: TObject);
begin
     close;
end;

procedure TDataForm.CalcButtonClick(Sender: TObject);
var   j : integer;
      total : real;
begin
     CalcButton.Visible := false;
     for j := 1 to 4 do
         begin
         total := 0;
         with score[j] do
              total := maths + english + science;
         student[j].average := total / 3;
         end;   {for}
     DisplayButton.Visible := true;
     count := 1;
end;

procedure TDataForm.DisplayButtonClick(Sender: TObject);
var j : integer;
one:string;
begin
     DisplayEdit.Visible := true;
     DisplayEdit.text := student[count].surname + ' ' + FloatToStrF(student[count].average,ffFixed,5,2);
     count := count + 1;
end;

end.
