unit names;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    CreateButton: TButton;
    DisplayButton: TButton;
    DisplayList: TListBox;
    ExitButton: TButton;
    procedure FormCreate(Sender: TObject);
    procedure CreateButtonClick(Sender: TObject);
    procedure DisplayButtonClick(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
type
    person = record
    first : string[10];
    last : string[20];
    age : integer;
    end;
    
var datafile : file of person;
    persondata : person;

procedure TForm1.FormCreate(Sender: TObject);
begin
     AssignFile(datafile, 'names.dat');
end;

procedure TForm1.CreateButtonClick(Sender: TObject);
var j : integer;
begin
rewrite(datafile);
for j := 1 to 3 do
    begin
    persondata.first := Inputbox('Name','Enter christian name','');
    persondata.last:= Inputbox('Name','Enter surname','');
    persondata.age:= StrToInt(Inputbox('Name','Enter age',''));
    write(datafile, persondata);
    end;
end;

procedure TForm1.DisplayButtonClick(Sender: TObject);
begin
reset(datafile);
while not eof(datafile) do
    begin
    read(datafile, persondata);
    DisplayList.Items.Add(persondata.first);
    DisplayList.Items.Add(persondata.last);
    DisplayList.Items.Add(IntToStr(persondata.age));
    end;
end;

procedure TForm1.ExitButtonClick(Sender: TObject);
begin
     closefile(datafile);
     close;
end;

end.
