unit die;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons;

type
  TForm1 = class(TForm)
    DieImage: TImage;
    Timer1: TTimer;
    ResetButton: TButton;
    StartButton: TButton;
    ExitButton: TButton;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    OneCountButton: TButton;
    TwoCountButton: TButton;
    ThreeCountButton: TButton;
    FourCountButton: TButton;
    FiveCountButton: TButton;
    SixCountButton: TButton;
    procedure ResetButtonClick(Sender: TObject);
    procedure StartButtonClick(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  j: integer;
  numb : array[1..6] of integer;

implementation

{$R *.DFM}

procedure TForm1.ResetButtonClick(Sender: TObject);
begin
     randomize;
     for j := 1 to 6 do
         numb[j] := 0;
     OneCountButton.Caption := '';
     TwoCountButton.Caption := '';
     ThreeCountButton.Caption := '';
     FourCountButton.Caption := '';
     FiveCountButton.Caption := '';
     SixCountButton.Caption := '';
end;

procedure TForm1.StartButtonClick(Sender: TObject);
begin
     Timer1.Enabled := not Timer1.Enabled;
end;

procedure TForm1.ExitButtonClick(Sender: TObject);
begin
     close;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var   die : integer;
begin
     die := random(6) + 1;
     DieImage.Picture.LoadFromFile(IntToStr(die) + '.bmp');
     numb[die] := numb[die] + 1;
     case die of
          1: OneCountButton.Caption := IntToStr(numb[die]);
          2: TwoCountButton.Caption := IntToStr(numb[die]);
          3: ThreeCountButton.Caption := IntToStr(numb[die]);
          4: FourCountButton.Caption := IntToStr(numb[die]);
          5: FiveCountButton.Caption := IntToStr(numb[die]);
          6: SixCountButton.Caption := IntToStr(numb[die]);
          end;
end;

end.
