unit lotto;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    DrawEdit: TEdit;
    SuppEdit: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    StartButton: TButton;
    SuppButton: TButton;
    ExitButton: TButton;
    Label3: TLabel;
    Label4: TLabel;
    NumberLabel: TLabel;
    procedure ExitButtonClick(Sender: TObject);
    procedure StartButtonClick(Sender: TObject);
    procedure SuppButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

var ball, draw, numb : integer;
    numbers : set of 1..45;
    
procedure TForm1.ExitButtonClick(Sender: TObject);
begin
     close;
end;

procedure TForm1.StartButtonClick(Sender: TObject);
begin
     randomize;
     numbers := [];              {empty set}
     DrawEdit.Text := '' ;       {clear text box}
     SuppEdit.Text := '' ;
     StartButton.Visible := false;
     numb := numb + 1;
     NumberLabel.Caption := IntToStr(numb);
     for draw := 1 to 6 do
         begin
         repeat
               ball := random(45) + 1;
               until not(ball in numbers);
         numbers := numbers + [ball];
         DrawEdit.Text := DrawEdit.Text +  IntToStr(ball) + ', ';
         end;   {for}
     SuppButton.Visible := true;
end;

procedure TForm1.SuppButtonClick(Sender: TObject);
begin
     SuppButton.Visible := false;
     for draw := 7 to 8 do
         begin
         repeat
               ball := random(45) + 1;
               until not(ball in numbers);
         numbers := numbers + [ball];
         SuppEdit.Text := SuppEdit.Text +  IntToStr(ball) + ', ';
         end;   {for}
     StartButton.Visible := true;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     numb := 100;
end;

end.
