unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TEastPacMain = class(TForm)
    LogoPanel: TPanel;
    HelpPanel: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    HelpLabel: TLabel;
    ContButton: TButton;
    TransPanel: TPanel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    procedure ContButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure RadioButton4Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  EastPacMain: TEastPacMain;

implementation

uses exit, Unit1;

{$R *.DFM}

type
    account = record
    number : integer;
    pin : integer;
    balance : real;
    end;
var custdata : file of account;
    customer : array[1..20] of account;
    count, cust : integer;
    cont : boolean;


procedure TEastPacMain.ContButtonClick(Sender: TObject);

procedure verify;    {check if user account and PIN match disc data}
var  go, j, acctry , pintry : integer;
begin
     go := 0;
     cont := false;
     while (go < 3) and not cont do   {three attempts to get PIN correct}
	begin
	go := go + 1;
        HelpLabel.caption := 'Enter your five digit Account number' ;
	acctry := StrToInt(InputBox('Account Number','Enter Account Number',''));
      	HelpLabel.caption :=  'Enter your three digit PIN and press Enter' ;
	pintry := StrToInt(InputBox('Personal Identification Number','Enter PIN',''));
	for j := 1 to count do
	    if (customer[j].number = acctry) and (customer[j].pin = pintry)
	       then begin
	            cont := true;
	            cust := j;
		end;   {if}
	end;   {while}
end;   {verify}

begin
     ContButton.Hide;
     HelpLabel.Caption := '';
     verify;
     if cont
        then begin
             HelpLabel.Caption := 'Select transaction';
             TransPanel.Show;
             end
        else begin
             ShowMessage('No valid account found');
             CloseFile(custdata);
             EastPacMain.Visible := false;
             EastPacExit.Visible := true;
             end;   {if}
end;

procedure TEastPacMain.FormCreate(Sender: TObject);
begin
     AssignFile(custdata,'cust.dat');
     reset(custdata);
     count := 0;
     while not eof(custdata) do
           begin
           count := count + 1;
	   read(custdata, customer[count]);
           end;
end;

procedure TEastPacMain.RadioButton4Click(Sender: TObject);
var j : integer;
begin
     rewrite(custdata);
     for j := 1 to cust do
         write(custdata, customer[cust]);
     CloseFile(custdata);
     EastPacMain.Visible := false;
     EastPacExit.Visible := true;
end;


procedure TEastPacMain.RadioButton1Click(Sender: TObject);
var bal : string;
begin
     bal := FloatToStrF(customer[cust].balance,ffCurrency,6,2);
     MessageDlg(bal,mtConfirmation,mbOKCancel,0);
end;

procedure TEastPacMain.RadioButton2Click(Sender: TObject);
var amount : real;
begin
     amount := -1;
     HelpLabel.caption := ' Enter amount to deposit without a $ sign ';
     while amount < 0 do
           amount := StrToFloat ( InputBox( ' Deposit ' , ' Enter Amount $ ' , ' 0 ' ) );
     customer[cust].balance := customer[cust].balance + amount;
     HelpLabel.caption := 'Select transaction';
end;

procedure TEastPacMain.RadioButton3Click(Sender: TObject);
var amount : real;
begin
     amount := -1;
     HelpLabel.caption := 'Enter amount to withdraw without a $ sign; Max $500';
     while (amount < 0) or (amount > 500) do
           amount := StrToFloat(InputBox('Withdrawal','Enter Amount $ (Max $500)','100'));
           if amount > customer[cust].balance
              then MessageDlg('Amount greater than balance of account',mtWarning,[mbOK,mbCancel],0)
              else customer[cust].balance := customer[cust].balance-amount;
     HelpLabel.caption := 'Select transaction';
end;

end.
