unit traffic;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    RedShape: TShape;
    AmberShape: TShape;
    GreenShape: TShape;
    StopButton: TButton;
    WaitButton: TButton;
    GoButton: TButton;
    ExitButton: TButton;
    procedure StopButtonClick(Sender: TObject);
    procedure WaitButtonClick(Sender: TObject);
    procedure GoButtonClick(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.StopButtonClick(Sender: TObject);
begin
     RedShape.Brush.Color := clRed;
     AmberShape.Brush.Color := clGray;
     GreenShape.Brush.Color := clGray;
end;

procedure TForm1.WaitButtonClick(Sender: TObject);
begin
     RedShape.Brush.Color := clGray;
     AmberShape.Brush.Color := clYellow;
     GreenShape.Brush.Color := clGray;
end;

procedure TForm1.GoButtonClick(Sender: TObject);
begin
     RedShape.Brush.Color := clGray;
     AmberShape.Brush.Color := clGray;
     GreenShape.Brush.Color := clGreen;
end;

procedure TForm1.ExitButtonClick(Sender: TObject);
begin
     close;
end;

end.
